org.eclipse.aether.repository

## Class LocalArtifactResult

- java.lang.Object
- - org.eclipse.aether.repository.LocalArtifactResult

-     public final class LocalArtifactResult
      extends Object

  A result from the local repository about the existence of an artifact.
  See Also:
    `LocalRepositoryManager.find(RepositorySystemSession, LocalArtifactRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalArtifactResult(LocalArtifactRequest request)` Creates a new result for the specified request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getFile()` Gets the file to the requested artifact.
    `RemoteRepository` | `getRepository()` Gets the (first) remote repository from which the artifact was cached (if any).
    `LocalArtifactRequest` | `getRequest()` Gets the request corresponding to this result.
    `boolean` | `isAvailable()` Indicates whether the requested artifact is available for use.
    `LocalArtifactResult` | `setAvailable(boolean available)` Sets whether the artifact is available.
    `LocalArtifactResult` | `setFile(File file)` Sets the file to requested artifact.
    `LocalArtifactResult` | `setRepository(RemoteRepository repository)` Sets the (first) remote repository from which the artifact was cached.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalArtifactResult

          public LocalArtifactResult(LocalArtifactRequest request)

      Creates a new result for the specified request.
      Parameters:
        `request` - The local artifact request, must not be `null`.

  - ### Method Detail

    - #### getRequest

          public LocalArtifactRequest getRequest()

      Gets the request corresponding to this result.
      Returns:
        The corresponding request, never `null`.

    - #### getFile

          public File getFile()

      Gets the file to the requested artifact. Note that this file must not be used unless `isAvailable()` returns `true`. An artifact file can be found but considered unavailable if the artifact was cached from a remote repository that is not part of the list of remote repositories used for the query.
      Returns:
        The file to the requested artifact or `null` if the artifact does not exist locally.

    - #### setFile

          public LocalArtifactResult setFile(File file)

      Sets the file to requested artifact.
      Parameters:
        `file` - The artifact file, may be `null`.
      Returns:
        This result for chaining, never `null`.

    - #### isAvailable

          public boolean isAvailable()

      Indicates whether the requested artifact is available for use. As a minimum, the file needs to be physically existent in the local repository to be available. Additionally, a local repository manager can consider the list of supplied remote repositories to determine whether the artifact is logically available and mark an artifact unavailable (despite its physical existence) if it is not known to be hosted by any of the provided repositories.
      Returns:
        `true` if the artifact is available, `false` otherwise.
      See Also:
        `LocalArtifactRequest.getRepositories()`

    - #### setAvailable

          public LocalArtifactResult setAvailable(boolean available)

      Sets whether the artifact is available.
      Parameters:
        `available` - `true` if the artifact is available, `false` otherwise.
      Returns:
        This result for chaining, never `null`.

    - #### getRepository

          public RemoteRepository getRepository()

      Gets the (first) remote repository from which the artifact was cached (if any).
      Returns:
        The remote repository from which the artifact was originally retrieved or `null` if unknown or if the artifact has been locally installed.
      See Also:
        `LocalArtifactRequest.getRepositories()`

    - #### setRepository

          public LocalArtifactResult setRepository(RemoteRepository repository)

      Sets the (first) remote repository from which the artifact was cached.
      Parameters:
        `repository` - The remote repository from which the artifact was originally retrieved, may be `null` if unknown or if the artifact has been locally installed.
      Returns:
        This result for chaining, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.